Package org.opensaml.saml.saml2.core.impl

# Class AuthzDecisionStatementImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.AuthzDecisionStatementImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AuthzDecisionStatement`, `Statement`

public class AuthzDecisionStatementImpl extends AbstractXMLObject implements AuthzDecisionStatement
A concrete implementation of `AuthzDecisionStatement`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Action>`
`actions`
Actions authorized to be performed.
`private DecisionTypeEnumeration`
`decision`
Decision of the authorization request.
`private Evidence`
`evidence`
SAML assertion the authority relied on when making the authorization decision.
`private String`
`resource`
URI of the resource to which authorization is sought.

### Fields inherited from interface org.opensaml.saml.saml2.core.AuthzDecisionStatement

`DECISION_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, RESOURCE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthzDecisionStatementImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<Action>`
`getActions()`
Gets the actions authorized to be performed.
`DecisionTypeEnumeration`
`getDecision()`
Gets the decision of the authorization request.
`Evidence`
`getEvidence()`
Get the SAML assertion the authority relied on when making the authorization decision.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getResource()`
Get URI of the resource to which authorization is saught.
`void`
`setDecision(DecisionTypeEnumeration newDecision)`
Sets the decision of the authorization request.
`void`
`setEvidence(Evidence newEvidence)`
Sets the SAML assertion the authority relied on when making the authorization decision.
`void`
`setResource(String newResourceURI)`
Sets URI of the resource to which authorization is saught.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### resource

@Nullable private String resource
URI of the resource to which authorization is sought.

### decision

@Nullable private DecisionTypeEnumeration decision
Decision of the authorization request.

### actions

@Nonnull private final XMLObjectChildrenList<Action> actions
Actions authorized to be performed.

### evidence

@Nullable private Evidence evidence
SAML assertion the authority relied on when making the authorization decision.

## Constructor Details

### AuthzDecisionStatementImpl

protected AuthzDecisionStatementImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getResource

@Nullable public String getResource()
Get URI of the resource to which authorization is saught.

Specified by:
  `getResource` in interface `AuthzDecisionStatement`
Returns:
  URI of the resource to which authorization is saught

### setResource

public void setResource(@Nullable String newResourceURI)
Sets URI of the resource to which authorization is saught.

Specified by:
  `setResource` in interface `AuthzDecisionStatement`
Parameters:
  `newResourceURI` - URI of the resource to which authorization is saught

### getDecision

@Nullable public DecisionTypeEnumeration getDecision()
Gets the decision of the authorization request.

Specified by:
  `getDecision` in interface `AuthzDecisionStatement`
Returns:
  the decision of the authorization request

### setDecision

public void setDecision(@Nullable DecisionTypeEnumeration newDecision)
Sets the decision of the authorization request.

Specified by:
  `setDecision` in interface `AuthzDecisionStatement`
Parameters:
  `newDecision` - the decision of the authorization request

### getActions

@Nonnull @Live public List<Action> getActions()
Gets the actions authorized to be performed.

Specified by:
  `getActions` in interface `AuthzDecisionStatement`
Returns:
  the actions authorized to be performed

### getEvidence

@Nullable public Evidence getEvidence()
Get the SAML assertion the authority relied on when making the authorization decision.

Specified by:
  `getEvidence` in interface `AuthzDecisionStatement`
Returns:
  the SAML assertion the authority relied on when making the authorization decision

### setEvidence

public void setEvidence(@Nullable Evidence newEvidence)
Sets the SAML assertion the authority relied on when making the authorization decision.

Specified by:
  `setEvidence` in interface `AuthzDecisionStatement`
Parameters:
  `newEvidence` - the SAML assertion the authority relied on when making the authorization decision

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements